Modding Help Do's and Don'ts of reporting issues with SMAPI mods

Discussion in 'Mods' started by Entoarox, Oct 5, 2016.

  1. Mizzion

    Mizzion Phantasmal Quasar

    It looks like you are using a few mods that are broken, there may be unofficial updates to them.

    15:14:40 ERROR SMAPI - __MACOSX\[CP] Pegasus Horse because it contains files, but none of them are manifest.json.
    This mod is installed incorrectly. Inside the original folder that you downloaded, You should see a folder name [CP]Pegasus Horse, you install that into to your mods folder.

    15:14:40 ERROR SMAPI - AnimalChooser 1.3 because it's no longer compatible. Please check for a new version at https://mods.smapi.io
    This mod is broken in the current version. There's an unoffiial update located at https://community.playstarbound.com...tardew-valley-1-3.142524/page-55#post-3324204

    15:14:40 ERROR SMAPI - Categorize Chests 1.4.2 because it's no longer compatible. Please check for a new version at https://mods.smapi.io
    This one is broken with no update yet.

    15:14:40 ERROR SMAPI - Elle's Brown Cow Replacement 1.0 because you have multiple copies of this mod installed
    I believe you have to choose ONE of the replacements, it looks like you have them all in there.

    15:14:40 ERROR SMAPI - Elle's Goat Replacement 1.0 because you have multiple copies of this mod installed
    I believe you have to choose ONE of the replacements, it looks like you have them all in there.

    15:14:40 ERROR SMAPI - Elle's Pig Replacement 1.0 because you have multiple copies of this mod installed
    I believe you have to choose ONE of the replacements, it looks like you have them all in there.

    15:14:40 ERROR SMAPI - Elle's Sheep Replacement 1.0 because you have multiple copies of this mod installed
    I believe you have to choose ONE of the replacements, it looks like you have them all in there.

    15:14:40 ERROR SMAPI - Elle's White Cow Replacement 1.0 because you have multiple copies of this mod installed
    I believe you have to choose ONE of the replacements, it looks like you have them all in there.

    15:14:40 ERROR SMAPI - Elle's White Cow Replacement [Hornless] [Brown] because it contains files, but none of them are manifest.json.
    I believe you have to choose ONE of the replacements, it looks like you have them all in there.

    15:14:40 ERROR SMAPI - GetDressed 3.5.2 because it's no longer compatible. Please check for a new version at https://mods.smapi.io
    This mod is broken as well. Unofficial update is https://community.playstarbound.com...tardew-valley-1-3.142524/page-35#post-3317280

    15:14:40 ERROR SMAPI - GiftTasteHelper 2.8.1 because it's no longer compatible. Please check for a new version at https://mods.smapi.io
    You need to install the Optional download. The version on that one is 2.9-beta. You can find it on its nexus page https://www.nexusmods.com/stardewvalley/mods/229?tab=files

    15:14:40 ERROR SMAPI - reshade-shaders because it contains files, but none of them are manifest.json.
    Never heard of this one, so I'm not sure how or what this is.

    15:14:40 ERROR SMAPI - Screenshots because it's an empty folder.
    This folder is empty. You can delete it

    15:14:40 ERROR SMAPI - SMAPI 2.10.2 installer because it contains files, but none of them are manifest.json.
    This is just the installer folder for SMAPI you can delete this too.
     
    • soffbum

      soffbum Space Hobo

      Thank you so much, really :3
      I'll delete those and reinstall the latest versions, thank you so much for taking your time to help me, i really appreciate it! :love:
       
      • Mizzion

        Mizzion Phantasmal Quasar

        You're quite welcome.
         
        • Jabberpocky

          Jabberpocky Aquatic Astronaut

          Hi guys, longtime fan of SMAPI here :D. Getting repeated crashes specifically after attempting to place an item into the environment; moving furniture inside the house, planting a seed, etc. Also seeing error messages at Pierre's - unable to see any crop mod items. Any advice would be tops, cheers.

          https://log.smapi.io/zsjifEBQ
           
          • Mizzion

            Mizzion Phantasmal Quasar

            That's a bug with the current Json Assets mod. The author is aware of it, and looking into it as far as I know.
             
            • Jabberpocky

              Jabberpocky Aquatic Astronaut

              Ahhh, righto. That's a bugger. I'll disable all the Json stuff for now. Thanks so much for replying :)
               
              • tinkerbelljln

                tinkerbelljln Big Damn Hero

                I tried to fix it myself, I thought I updated everything, but maybe I didn't but I can't read the crash log so if someone could translate this to tell me why my game is crashing, I'd be eternally grateful https://log.smapi.io/LfBaDpW9 there's my log, the game crashes when I try to put a new flooring in my house if that helps narrow things down.
                 
                • Mizzion

                  Mizzion Phantasmal Quasar

                  Looks like "DIYCP Characters and Portraits" is looking for files that don't exist. As far as I remember, that is a template for making your own edits, and shouldn't be use as a stand alone mod.

                  You also have two mods conflicting each other "DIYCP Characters and Portraits" and "Seasonal Villager Outfits" but SMAPI used the vanilla assets for those. The main error you're getting is related to Json Assets, it's a bug in the most recent version of JA. The author is aware of it, and as far as I know, is looking into it.
                   
                    tinkerbelljln likes this.
                  • Adahn5

                    Adahn5 Space Spelunker

                    Hey everyone, I'm having an issue with my Stardew Valley. Currently the issue that comes up in red is [SpaceCore]. I didn't have a problem in earlier versions, but since I updated SMAPI I haven't been able to stop from crashing. I thought, at first, that it was a version problem and proceeded to update every one of my mods to no avail. Recently I thought that switching to the beta version, and getting the unnofficial beta update for Space Core would work but it doesn't seem to have done anything.

                    Here's my SMAPI Logfile.

                    Thanks in advance, and sorry for the trouble!
                     
                    • Pathoschild

                      Pathoschild Cosmos Killer

                      @Adahn5 Does that happen in single-player too, or only when you join a multiplayer server?
                       
                      • Adahn5

                        Adahn5 Space Spelunker

                        @Pathoschild Surprisingly nothing in single player. Not a single red line of error-text. I played a couple of days in a row to be sure, doing all kinds of stuff from farming, ranching, socializing and spelunking and nothing.

                        So it appears to be entirely multiplayer-based.
                         
                        • Pathoschild

                          Pathoschild Cosmos Killer

                          @Adahn5 It looks like a bug in SpaceCore or Json Assets when playing in multiplayer. I suggest reporting it to one of their Nexus pages.
                           
                          • Adahn5

                            Adahn5 Space Spelunker

                            @Pathoschild All right! Thank you so much for your help Pathoschild, much appreciated.
                             
                            • keekow4444

                              keekow4444 Space Hobo

                              cant gt custom crops to work, shows an error item then crashes when i try to hold error item, also my game does not save when i host a new farm with these mods and he can not join

                              https://log.smapi.io/Sv8vGzVU

                              ive been wanting to just play modded SDV for almost 4 days now but its just crash crash crash..........
                               
                              • Mizzion

                                Mizzion Phantasmal Quasar

                                Those are errors with Json Assets 1.3.1, if you downgrade to 1.3.0, it should get rid of those errors. The mod author's aware of the issue, and as far as I know, is looking into it.
                                 
                                • gsarris314

                                  gsarris314 Space Hobo

                                  https://log.smapi.io/vpm9PQNT
                                  Whenever I try to open the API through its separate execution link (I don't load it through steam and don't know how) it shows these error messages. It doesn't open at all, it only opens this text screen and loads through until it tells me to use any button to exit. I have uninstalled, extracted, and reinstalled the api. All of my mods and versions should be up to date as far as I know. I've looked through other topics but haven't found this specific error message. Let me know if you know anything else I should try!
                                   
                                  • MouseyPounds

                                    MouseyPounds Cosmic Narwhal

                                    Your SMAPI itself (version 2.7) is out of date. Go to https://smapi.io/ and download & install version 2.10.2
                                     
                                    • NiceATX

                                      NiceATX Intergalactic Tourist

                                    • Entoarox

                                      Entoarox Oxygen Tank

                                      Looks to be an issue in PyTK, please report it there so the author is made aware.
                                       
                                      • NiceATX

                                        NiceATX Intergalactic Tourist

                                        thanks bro, I got it fix, it was CustomFunirture
                                         

                                        Share This Page